Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STLanguageManager class documentation

### Authors

Generated by Debian

Date: Generated at 2026-02-09 22:49:36 +0000

# Software documentation for the STLanguageManager class

## STLanguageManager : NSObject

> Declared in:
>   StepTalk/STLanguageManager.h

Description forthcoming.

Instance Variables

### Method summary

- +defaultManager
- -availableLanguages
- -bundleForLanguage:
- -createEngineForLanguage:
- -defaultLanguage
- -engineClassForLanguage:
- -infoForLanguage:
- -knownFileTypes
- -languageForFileType:
- -registerLanguage:engineClass:info:
- -registerLanguagesFromBundle:
- -removeLanguage:

### defaultManager

+ (STLanguageManager*) defaultManager;
Description forthcoming.

### availableLanguages

- (NSArray*) availableLanguages;
Description forthcoming.

### bundleForLanguage:

- (NSBundle*) bundleForLanguage: (NSString*)language;
Description forthcoming.

### createEngineForLanguage:

- (STEngine*) createEngineForLanguage: (NSString*)language;
Description forthcoming.

### defaultLanguage

- (NSString*) defaultLanguage;
Returns the name of default scripting language specified by the STDefaultLanguage default. If there is no such default in user's defaults database, then Smalltalk is used.

### engineClassForLanguage:

- (Class) engineClassForLanguage: (NSString*)language;
Return an engine class for specified language. The class lookup is as follows:

- internal class dictionary by language name
- all loaded classes by class name in the language info dictionary
- in the language bundle
- in the language bundle as language_nameEngine

### infoForLanguage:

- (NSDictionary*) infoForLanguage: (NSString*)language;
Description forthcoming.

### knownFileTypes

- (NSArray*) knownFileTypes;
Description forthcoming.

### languageForFileType:

- (NSString*) languageForFileType: (NSString*)fileType;
Description forthcoming.

### registerLanguage: engineClass: info:

- (void) registerLanguage: (NSString*)language engineClass: (Class)class info: (NSDictionary*)info;
Description forthcoming.

### registerLanguagesFromBundle:

- (void) registerLanguagesFromBundle: (NSBundle*)bundle;
Description forthcoming.

### removeLanguage:

- (void) removeLanguage: (NSString*)language;
Description forthcoming.

## Instance Variables for STLanguageManager Class

### engineClasses

@protected NSMutableDictionary* engineClasses;
Description forthcoming.

### fileTypes

@protected NSMutableDictionary* fileTypes;
Description forthcoming.

### languageBundles

@protected NSMutableDictionary* languageBundles;
Description forthcoming.

### languageInfos

@protected NSMutableDictionary* languageInfos;
Description forthcoming.

### languages

@protected NSMutableArray* languages;
Description forthcoming.

Up